#  Copyright (C) 2020-2021 Orange
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

apiVersion: gitops.kanod.io/v1alpha1
kind: ClusterDef
metadata:
  name: cluster1
  namespace: capm3
spec:
  createArgocdClusterSecret: true
  source:
    repository: https://git.service.kanod.home.arpa/cluster1_admin/config.git
    branch: main
  credentialName: project-creds-1
  configurationName: infra
  cidataName: cluster1-cidata
  poolUserList:
    default-broker:
      username: "pool-user-1"
      address: https://broker.kanod.home.arpa
      brokerConfig: broker-ca-1
      brokerCredentials: broker-cred
  networkList:
    default-network-id:
      networkdefName: "k8s-1"
      address: https://broker.kanod.home.arpa/netdef
      brokerConfig: broker-ca-1
      brokerCredentials: brokernet-cred
    pxe-network-id:
      networkdefName: "pxe-1"
      address: https://broker.kanod.home.arpa/netdef
      brokerConfig: broker-ca-1
      brokerCredentials: brokernet-cred
